function onBegin()
      if getFlag("rejection") then return end
      disableMovement()
      disableRetry()
      setColorGrade("aletris/esoterica/colorgrade")
      repeat
            setDarkness(getDarkness() - 0.01)
            wait()
      until getDarkness() <= 0.5
      setDarkness(0.5)
      wait(2)
      say("aletris_esoterica_unnamed")
end

function onEnd()
      setFlag("heart",true)
      enableMovement()
end